SGMLCHECK(1)

NAME
sgmlcheck - check the syntax of an LinuxDoc DTD sgml source file

SYNOPSIS
sgmlcheck file[.sgml]

DESCRIPTION
sgmlcheck is an old and obsoleted form of the SGML source checker command of LinuxDoc-Tools (its name may be misleading, as it is not a tool for any SGML DTD, only supports the SGML LinuxDoc DTD). It is recommended to switch the new form linuxdoc -B check now. It runs an SGML parse on the specified document source. Any errors are reported to standard output. No formatted version of the source is produced.

Note that sgmlcheck preprocesses the LinuxDoc DTD SGML source, doing the conditionalization described by any <#if></#if> and <#unless></#unless> tags. Document sources containing these tags will confuse a standalone SGML parser.

OPTIONS
None. The generic options described in linuxdoc(1) are accepted, but have no effect (except for -D).

FILES
Many files and executables in /usr/share/linuxdoc-tools and /usr/bin are used.

BUGS
None known.

AUTHOR
Originally written by Cees de Groot <cg@cdegroot.com> as sgmlcheck for SGML-Tools v1 and maintained by Taketoshi Sano <sano@debian.org> for Linuxdoc-Tools. Currently maintained by Agustin Martin <agustin6martin AT gmail com>.

SEE ALSO
linuxdoc(1), sgml2html(1), sgml2info(1), sgml2latex(1), sgml2rtf(1), sgml2txt(1).